/// @addtogroup map
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file textop.h
///
/// @author Daniel Wilczak
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

/** Author: Daniel Wilczak, 2000-2004 */

#ifndef _TEXTOP_H
#define _TEXTOP_H

#include <string>

namespace capd{
namespace map{

class TextOperation{
public:
   static size_t parseBrackets(const std::string &e, size_t position = std::string::npos);
   static size_t searchForOperator(const std::string &e, unsigned char op, size_t position = std::string::npos);
   static size_t searchForFunction(const std::string &fun, const std::string &eq);
   static std::string & removeBrackets(std::string &eq);
   static std::string *splitVariables(const std::string &, const std::string&,int &);
};
}}
#endif

/// @}
